Project

General

Profile

Bug #669

windows msi: upgrade

Added by Victor Julien almost 8 years ago. Updated over 1 year ago.

Status:
Assigned
Priority:
Normal
Assignee:
Target version:
Affected Versions:
Effort:
Difficulty:
Label:

Description

Currently installing a new version over an old requires the old version to be manually removed.

Tested:
installed 1.3.3-2
then tried to install 1.3.5-1, got error saying something like "remove earlier versions of product first".

#1

Updated by Victor Julien almost 7 years ago

  • Target version set to TBD
#2

Updated by Andreas Herz about 4 years ago

Is this still an issue?

#3

Updated by Peter Manev about 4 years ago

Yes - I need to look into and upgrade the procedure since there were new and more DLLs included/needed for the run.

#4

Updated by Victor Julien about 3 years ago

  • Target version changed from TBD to Packaging/PPA
#5

Updated by Andreas Herz over 1 year ago

Any updates on that?

#6

Updated by Peter Manev over 1 year ago

Since we have 64 bit packaging now - we should aim for msi upgrades being possible in 5.0 (or in 5.1) I think.

Also available in: Atom PDF